| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ArrayNDValseriesAdapter< T > Class Template Reference
Basic

Adapter that makes any ArrayND to a (slow) value series. More...

`#include <arraynd.h>`

Inheritance diagram for ArrayNDValseriesAdapter< T >:
[legend]

## Public Member Functions
| ArrayNDValseriesAdapter (const ArrayND< T > &a)
const T * | arr () const override
T * | arr () override
ValueSeries< T > * | clone () const override
bool | isOK () const override
od_int64 | size () const override
T | value (od_int64 idx) const override
Public Member Functions inherited from ValueSeries< T >
virtual | ~ValueSeries ()
virtual char | bytesPerItem () const
virtual bool | canSetAll () const
void | getValues (T *, od_int64 nrvals) const
void | getValues (ValueSeries< T > &, od_int64 nrvals) const
T | operator[] (od_int64 idx) const
virtual bool | reSizeable () const
virtual bool | selfSufficient () const
virtual void | setAll (T)
virtual void | setEmpty ()
virtual bool | setSize (od_int64)
virtual void | setValue (od_int64, T)
virtual bool | writable () const

## Protected Attributes
const ArrayND< T > & | array_

## Detailed Description

template<class T>
class ArrayNDValseriesAdapter< T >

Adapter that makes any ArrayND to a (slow) value series.

Try using other methods (like getting the storage) as this is slow.

<>

## Constructor & Destructor Documentation

## ◆ ArrayNDValseriesAdapter()

template<class T >

ArrayNDValseriesAdapter< T >::ArrayNDValseriesAdapter | ( | const ArrayND< T > & | a | ) |
| inline

## Member Function Documentation

## ◆ arr() [1/2]

template<class T >

const T * ArrayNDValseriesAdapter< T >::arr | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ arr() [2/2]

template<class T >

T * ArrayNDValseriesAdapter< T >::arr | ( |  | ) |
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ clone()

template<class T >

ValueSeries< T > * ArrayNDValseriesAdapter< T >::clone | ( |  | ) | const
| inline override virtual

Implements ValueSeries< T >.

## ◆ isOK()

template<class T >

bool ArrayNDValseriesAdapter< T >::isOK | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ size()

template<class T >

od_int64 ArrayNDValseriesAdapter< T >::size | ( |  | ) | const
| inline override virtual

Implements ValueSeries< T >.

## ◆ value()

template<class T >

T ArrayNDValseriesAdapter< T >::value | ( | od_int64 | idx | ) | const
| inline override virtual

Implements ValueSeries< T >.

## Member Data Documentation

## ◆ array_

template<class T >

const ArrayND<T>& ArrayNDValseriesAdapter< T >::array_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025